function draw(x,color)
    xset("color",color);
    xpoly([x(1),x(1)+l*sin(x(2))],[0,l*cos(x(2))],"lines",0)
    xpoly([x(1)-2,x(1)+2,x(1)+2,x(1)-2,x(1)-2],[0,0,-2,-2,0],"lines",0);
endfunction;

function xdot=f(x,u)
    xdot=[x(3);
              x(4);
              (m*sin(x(2))*(l*x(4)^2-g*cos(x(2)))/(M+m*sin(x(2))^2)+u/(M+m*sin(x(2))^2));
              ((sin(x(2))*(-m*l*x(4)^2*cos(x(2))+(M+m)*g))/(l*(M+m*sin(x(2))^2))-(u*cos(x(2)))/(l*(M+m*sin(x(2))^2))) ];
endfunction;


wrect = [0 0 1 1];
frect=[-10 -8 10 8];
xsetech(wrect,frect);
m=1;M=5;l=4;g=9.81;u=0;
dt=0.01;
x=[0;0.1;0;0];
for k=1:1000
     x1=x+f(x,u)*dt;
     draw(x,8);
     draw(x1,0);
     x=x1;
end;
