function drawbacs()
   xset("thickness",2)
   xset("color",0);
   a=0.1;
   xpoly([0-a 0-a ],[10 1+a],"lines",0)
   xpoly([-7 23],[0-a 0-a],"lines",0)
   xpoly([16+a 16+a],[1+a 10],"lines",0)
   xpoly([4+a   4+a  6-a  6-a],[10 1+a 1+a 10],"lines",0)
   xpoly([10+a 10+a 12-a 12-a],[10 1+a 1+a 10],"lines",0)
endfunction
//---------------------------------------------
function draw(x,u)
   //eau dans les bacs
   xset("pattern",2);
   xfpoly([0 0 -6 22 16 16 12 12 10 10 6 6 4 4],[x(1) 1 0 0 1 x(3) x(3) 1 1 x(2) x(2) 1 1 x(1)])
   //effacement 
   xset("pattern",8);
   xfpoly([ 0  0  4  4],[11 x(1) x(1) 11])
   xfpoly([ 6  6 10 10],[11 x(2) x(2) 11])
   xfpoly([12 12 16 16],[11 x(3) x(3) 11])
   //entre d'eau
   if (u(1)>=0) then xset("pattern",2); 
   		else xset("pattern",3); //en vert si u(1)<0
   end,
   xfpoly([ 1 1 1+0.1*u(1) 1+0.1*u(1)],[10 0.1 0.1 10])
   if (u(2)>=0) then xset("pattern",2);
   		else xset("pattern",3); //en vert si u(2)<0
   end,
   xfpoly([ 13 13 13+0.1*u(2) 13+0.1*u(2)],[10 0.1 0.1 10])
endfunction;
//---------------------------------------------
function q=q(h)
    a=0.4;g=10;
    q=a*sign(h)*sqrt(2*g*abs(h))
endfunction
//---------------------------------------------
function xdot=f(x,u)  //fonction d'volution
    xdot=[-q(x(1))-q(x(1)-x(2))+u(1);
       q(x(1)-x(2))-q(x(2)-x(3));
       -q(x(3))+q(x(2)-x(3))+u(2) ];
endfunction;
//---------------------------------------------
xbasc(); wrect=[0 0 1 1];frect=[-1 -1 16 12];
xsetech(wrect,frect);
drawbacs();
x=[9;3;5];
u=[1;7];
dt=0.02;
for k=1:800,
        x1=x+f(x,u)*dt;
        draw(x,u);
        x=x1;
end;
