function draw(x,color)
   //Chassis
   theta=x(3);
   delta=x(5);
   M=[-1  4 5  5 4 -1 -1   -1 0  0  -1  1  0 0 -1 1 0 0 3 3 3;
      -2 -2 -1 1 2 2  -2   -2 -2 -3 -3 -3 -3 3  3 3 3 2 2 3 -3] ;
   xset("color",color);
   R=[cos(theta),-sin(theta);sin(theta),cos(theta)];
   T=[x(1);x(2)]*ones(M(1,:))
   M=R*M+T;    
   xpoly(M(1,:),M(2,:),"lines",0)
   //Roues
   Ravd=[-1 1;0 0];
   Ravg=[-1 1;0 0];
   Rdelta=[cos(delta),-sin(delta);sin(delta),cos(delta)]
   T=[x(1);x(2)]*[1 1];
   Ravd=R*(Rdelta*Ravd+[3; 3]*[1 1])+T;
   Ravg=R*(Rdelta*Ravg+[3;-3]*[1 1])+T;
   xpoly(Ravd(1,:),Ravd(2,:),"lines",0)
   xpoly(Ravg(1,:),Ravg(2,:),"lines",0)
endfunction;
//---------------------------------------------
function xdot=f(x,u)  //fonction d'volution
    xdot=[x(4)*cos(x(5))*cos(x(3));
       x(4)*cos(x(5))*sin(x(3));
       x(4)*sin(x(5))/3;
       u(1);u(2) ];
endfunction;
//---------------------------------------------
wrect=[0 0 1 1];frect=[-20 -10 40 30];
xsetech(wrect,frect);
x=[0;0;0;7;0.1];
u=[0;0.2];
dt=0.01;

for k=1:3000,
        x1=x+f(x,u)*dt;
        draw(x,8);
	draw(x1,0); 	
        x=x1;
end;
